# Changelog
_Last Modified on 2021-11-16T09:55:13.799Z_

## 5.3.1 - released 2021-11-11
### Fixed
- player always opens at 50% visibility not considering the specified `visibilityThreshold`

## 5.3.0 - released 2021-09-03
### Features
- Update to smartclientcore 6.0.0
- added configurable `adVerification`-Settings (see [Global Config](vendor_modules/smartclip/docs/setup-global-config.md))
- added `trackImpressionOnStart` and `trackSkippedQuartiles` flags

## 5.2.9 - released 2021-08-05
### Fixed
- Out-Stream not starting with adResponse when visible

## 5.2.8 - released 2021-06-23
### Changed
- documentation update with `startOpen` defaulting to `true`

## 5.2.7 - released 2021-06-23
### Changed
- `startOpen` defaulting to `true`
- Deprecate setup flag `removePlayerOnCapped` as changing the default (`true`) interferes with the `startOpen` default

### Fixed
- Advertisement only starts playing at 100% visibility of the player with `startOpen = true`


## 5.2.6 - released 2021-06-22
### Changed
- Cleanup stops at the player-containing element. The surrounding container remains untouched in order to load a rich media fallback.
- Setting `startOpen = true` (default is `false`) immediately expands the player without transition. The player remains always open then.

## 5.2.5 - released 2021-05-10
### Others
- Build task not updating version numbers

## 5.2.4 - released 2021-05-07
### Bugfixes
- VPAID not completely expanding

## 5.2.3 - released 2021-04-28
### Others
- Package cleanup

## 5.2.2 - released 2021-04-28
### Others
- Updated Docker setup, replaces Yarn with Node package manager (NPM)

## 5.2.1 - released 2021-04-28
### Features
- Update to smartclientcore 5.2.4

### Bugfixes
- Video player resize is not passed into VPAID ads
- Callback sequence should match player version 4.12
- Replaced all occurrences of SpotX

## 5.2 - released 2020-12-03
### Features
- Update to smartclientcore 5.2.2
- Version output is now optional through debug flag in localStorage
- InventoryState macro is supported
- MediaMime macro support

### Bugfixes
- Industry icons were not shown if offset or duration were unset in tag
- Square/Vertical ads stopped working after last core update
- Runtime error when requesting error code from core
- Tracker timeout could have caused player to not stay open after ad played through

## 5.1.2 - released 2020-07-03
### Features
- Update to smartclientcore 5.1.2
- Added removePlayerOnCapped option

## 5.1.1 - released 2020-04-15
### Features
- Update to smartclientcore 5.0.1

## 5.1.0 - released 2020-02-07
### Features
- Update to smartclientcore 4.10.0 (which supports IAB TCF API)

### Bugfixes
- Player UI mute/unmute button works for VPAID

## 5.0.2 - released 2019-12-16
### Bugfixes
- onCappedCallback not fired

## 5.0.1 - released 2019-12-13
### Bugfixes
- onCappedCallback not fired
